﻿@page
@model PimWebapplication.Edit_ShopModel
@inject Microsoft.AspNetCore.Antiforgery.IAntiforgery Xsrf
@functions{
    public string GetAntiXsrfRequestToken()
    {
        return Xsrf.GetAndStoreTokens(Model.HttpContext).RequestToken;
    }
}
@{
    ViewData["Title"] = "Edit_Shop";
}


@section scripts {
    <script type="text/javascript" language="javascript" class="init">
        var editor; // use a global for the submit and return data rendering in the examples

        $(document).ready(function () {
            editor = new $.fn.dataTable.Editor({
                ajax: {
                    url: "/dataTables/edit_shop"
                },
                table: "#table_edit-shop",
                type: "POST",
                fields: [
                    {
                        label: "art_lfdnr: ",
                        name: "tbl_main.art_lfdnr"
                    }, {
                        label: "art_nr: ",
                        name: "tbl_main.art_nr"
                    }, {
                        label: "art_ean: ",
                        name: "tbl_main.art_ean"
                    }, {
                        label: "edc_art_nr: ",
                        name: "tbl_main.edc_art_nr"
                    }, {
                        label: "art_li_artnr: ",
                        name: "tbl_main.art_li_artnr"
                    }, {
                        label: "art_wgrnr: ",
                        name: "tbl_main.art_wgrnr"
                    }, {
                        label: "produktbezeichnung: ",
                        name: "tbl_shop.produktbezeichnung"
                    }, {
                        label: "verpackungsmenge: ",
                        name: "tbl_shop.verpackungsmenge"
                    }, {
                        label: "verpackungseinheit: ",
                        name: "tbl_shop.verpackungseinheit"
                    }, {
                        label: "verkaufsmenge: ",
                        name: "tbl_shop.verkaufsmenge"
                    }, {
                        label: "verkaufseinheit: ",
                        name: "tbl_shop.verkaufseinheit"
                    }, {
                        label: "steuersatz: ",
                        name: "tbl_shop.steuersatz"
                    }, {
                        label: "mindestbestellmenge: ",
                        name: "tbl_shop.mindestbestellmenge"
                    }, {
                        label: "bestellintervall: ",
                        name: "tbl_shop.bestellintervall"
                    }, {
                        label: "artikelrabattgruppe: ",
                        name: "tbl_shop.artikelrabattgruppe"
                    }, {
                        label: "verkaufsmengeint: ",
                        name: "tbl_shop.verkaufsmengeint"
                    }, {
                        label: "warengruppe: ",
                        name: "tbl_shop.warengruppe"
                    }, {
                        label: "hersteller: ",
                        name: "tbl_shop.hersteller"
                    }, {
                        label: "eigenschaften: ",
                        name: "tbl_shop.eigenschaften"
                    }, {
                        label: "keywords: ",
                        name: "tbl_shop.keywords"
                    }, {
                        label: "sortierung: ",
                        name: "tbl_shop.sortierung"
                    }, {
                        label: "artikelgruppierungsmerkmal: ",
                        name: "tbl_shop.artikelgruppierungsmerkmal"
                    }, {
                        label: "artikelabbildung: ",
                        name: "tbl_shop.artikelabbildung"
                    }, {
                        label: "mediadaten: ",
                        name: "tbl_shop.mediadaten"
                    }, {
                        label: "zubehoerartikel: ",
                        name: "tbl_shop.zubehoerartikel"
                    }, {
                        label: "pflichtzubehoer: ",
                        name: "tbl_shop.pflichtzubehoer"
                    }, {
                        label: "notwendiger_auswahlartikel: ",
                        name: "tbl_shop.notwendiger_auswahlartikel"
                    }, {
                        label: "abweichende_gebinde: ",
                        name: "tbl_shop.abweichende_gebinde"
                    }, {
                        label: "bestandteile: ",
                        name: "tbl_shop.bestandteile"
                    }, {
                        label: "ersatzteile: ",
                        name: "tbl_shop.ersatzteile"
                    }, {
                        label: "aehnliche_artikel: ",
                        name: "tbl_shop.aehnliche_artikel"
                    }, {
                        label: "folgeartikel: ",
                        name: "tbl_shop.folgeartikel"
                    }, {
                        label: "produktbeschreibung: ",
                        name: "tbl_shop.produktbeschreibung"
                    }, {
                        label: "status: ",
                        name: "tbl_shop.status"
                    }, {
                        label: "gefahrgut: ",
                        name: "tbl_shop.gefahrgut"
                    }, {
                        label: "time_imported: ",
                        name: "tbl_shop.time_imported"
                    }, {
                        label: "time_update: ",
                        name: "tbl_shop.time_update"
                    }, {
                        label: "id_edit_status: ",
                        name: "tbl_shop.id_edit_status"
                    }, {
                        label: "id_user_editTest: ",
                        name: "tbl_shop.id_user_edit"
                    }
                ]
            });
           
            var table = $('#table_edit-shop').DataTable({
                dom: "Bfrtip",
                ajax: {
                    url: "/dataTables/edit_shop",
                    type: "POST",
                    datatype: "json"
                },
                serverSide: true,
                processing: true,
                info: true,
                columnDefs: [
                ],
                searchCols: [
                ],
                pageLength: 100,
                order: [1, "asc"],
                columns: [
                    {
                        className: '',
                        targets: 0,
                        searchable: false,
                        orderable: false,
                        data: null,
                        defaultContent: '<div class="btnHistory icon_revert"></div>'
                    },
                    { data: "tbl_main.art_lfdnr" },
                    { data: "tbl_main.art_nr" },
                    { data: "tbl_main.art_ean" },
                    { data: "tbl_main.edc_art_nr" },
                    { data: "tbl_main.art_li_artnr" },
                    { data: "tbl_main.art_wgrnr" },
                    { data: "tbl_shop.produktbezeichnung" },
                    { data: "tbl_shop.verpackungsmenge" },
                    { data: "tbl_shop.verpackungseinheit" },
                    { data: "tbl_shop.verkaufsmenge" },
                    { data: "tbl_shop.verkaufseinheit" },
                    { data: "tbl_shop.steuersatz" },
                    { data: "tbl_shop.mindestbestellmenge" },
                    { data: "tbl_shop.bestellintervall" },
                    { data: "tbl_shop.artikelrabattgruppe" },
                    { data: "tbl_shop.verkaufsmenge" },
                    { data: "tbl_shop.warengruppe" },
                    { data: "tbl_shop.hersteller" },
                    { data: "tbl_shop.eigenschaften" },
                    { data: "tbl_shop.keywords" },
                    { data: "tbl_shop.sortierung" },
                    { data: "tbl_shop.artikelgruppierungsmerkmal" },
                    { data: "tbl_shop.artikelabbildung" },
                    { data: "tbl_shop.mediadaten" },
                    { data: "tbl_shop.zubehoerartikel" },
                    { data: "tbl_shop.pflichtzubehoer" },
                    { data: "tbl_shop.notwendiger_auswahlartikel" },
                    { data: "tbl_shop.abweichende_gebinde" },
                    { data: "tbl_shop.bestandteile" },
                    { data: "tbl_shop.ersatzteile" },
                    { data: "tbl_shop.aehnliche_artikel" },
                    { data: "tbl_shop.folgeartikel" },
                    { data: "tbl_shop.produktbeschreibung" },
                    { data: "tbl_shop.status" },
                    { data: "tbl_shop.gefahrgut" },
                    { data: "tbl_shop.id_user_edit" },
                    { data: "tbl_shop.id_edit_status" },
                    { data: "tbl_shop.time_imported" },
                    { data: "tbl_shop.time_update" }
                ],
                select: {
                    style: 'os',
                    selector: 'td:nth-child(2)',
                },
                buttons: [
                    { extend: "create", editor: editor },
                    { extend: "edit", editor: editor },
                    { extend: "remove", editor: editor }
                ],
                lengthMenu: [
                    [10, 25, 100, 1000, 2500],
                    ['10 rows', '25 rows', '100 rows', '1000 rows', '2500 rows']
                ]
            });            
        });
    </script>
}
<table id="table_edit-shop" class="display" style="width:100%">
    <thead>
        <tr>
            <th></th>
            <th>art_lfdnr</th>
            <th>art_nr</th>
            <th>art_ean</th>
            <th>edc_art_nr</th>
            <th>art_li_artnr</th>
            <th>art_wgrnr</th>
            <th>produktbezeichnung</th>
            <th>verpackungsmenge</th>
            <th>verpackungseinheit</th>
            <th>verkaufsmenge</th>
            <th>verkaufseinheit</th>
            <th>steuersatz</th>
            <th>mindestbestellmenge</th>
            <th>bestellintervall</th>
            <th>artikelrabattgruppe</th>
            <th>verkaufsmengeint</th>
            <th>warengruppe</th>
            <th>hersteller</th>
            <th>eigenschaften</th>
            <th>keywords</th>
            <th>sortierung</th>
            <th>artikelgruppierungsmerkmal</th>
            <th>artikelabbildung</th>
            <th>mediadaten</th>
            <th>zubehoerartikel</th>
            <th>pflichtzubehoer</th>
            <th>notwendiger_auswahlartikel</th>
            <th>abweichende_gebinde</th>
            <th>bestandteile</th>
            <th>ersatzteile</th>
            <th>aehnliche_artikel</th>
            <th>folgeartikel</th>
            <th>produktbeschreibung</th>
            <th>status</th>
            <th>gefahrgut</th>
            <th>id_edit_status</th>
            <th>id_user_edit</th>
            <th>time_imported</th>
            <th>time_update</th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <th></th>
            <th>art_lfdnr</th>
            <th>art_nr</th>
            <th>art_ean</th>
            <th>edc_art_nr</th>
            <th>art_li_artnr</th>
            <th>art_wgrnr</th>
            <th>produktbezeichnung</th>
            <th>verpackungsmenge</th>
            <th>verpackungseinheit</th>
            <th>verkaufsmenge</th>
            <th>verkaufseinheit</th>
            <th>steuersatz</th>
            <th>mindestbestellmenge</th>
            <th>bestellintervall</th>
            <th>artikelrabattgruppe</th>
            <th>verkaufsmengeint</th>
            <th>warengruppe</th>
            <th>hersteller</th>
            <th>eigenschaften</th>
            <th>keywords</th>
            <th>sortierung</th>
            <th>artikelgruppierungsmerkmal</th>
            <th>artikelabbildung</th>
            <th>mediadaten</th>
            <th>zubehoerartikel</th>
            <th>pflichtzubehoer</th>
            <th>notwendiger_auswahlartikel</th>
            <th>abweichende_gebinde</th>
            <th>bestandteile</th>
            <th>ersatzteile</th>
            <th>aehnliche_artikel</th>
            <th>folgeartikel</th>
            <th>produktbeschreibung</th>
            <th>status</th>
            <th>gefahrgut</th>
            <th>id_edit_status</th>
            <th>id_user_edit</th>
            <th>time_imported</th>
            <th>time_update</th>
        </tr>
    </tfoot>
</table>
